#version 330 core

in vec3 position;
in vec3 normal;
in vec2 uv;

out vec2 fragmentUV;
out vec3 fragmentNormal;
out vec3 worldPos;

uniform mat4 model;
uniform mat4 view_proj;
uniform mat4 view;

void main()
{
	fragmentUV = uv;
	gl_Position = view_proj * model * vec4(position, 1);
	fragmentNormal = (model * vec4(normal, 0.0)).xyz;
	worldPos = (model * vec4(position, 1.0)).xyz;
}